Bug 128513 - rpmbuild uses innumerable jobs when /proc not mounted
Summary: rpmbuild uses innumerable jobs when /proc not mounted
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openjade   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-23 21:45 UTC by Leonard den Ottolander
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-26 16:33:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonard den Ottolander 2004-07-23 21:45:06 UTC
The assignment and test
NRPROC='`egrep -c "^cpu[0-9]+" /proc/stat || ;`
[ "$NRPROC" = "0" ] && NRPROC = 1

returns an empty result if /proc is not mounted. As a result
make -j$NRPROC 
runs with an unlimited number of jobs which is not very nice when you
do this on a desktop ;) .

An extra test for $NRPROC = "" should fix this.

Comment 1 Tim Waugh 2004-07-26 16:33:11 UTC
This is fixed (using a different method) in rawhide.


Note You need to log in before you can comment on or make changes to this bug.